<template>
  <div class="DelBox">
    <div class="title">
      <span class="el-icon-warning"></span>
      是否删除该模块
    </div>
    <div class="buttonArea">
      <div class="cancel" @click="cancel">取消</div>
      <div class="confirm" @click="confirm">确认删除</div>
    </div>
  </div>
</template>

<script>
export default {
  methods: {
    cancel() {
      this.$emit("close");
    },
    confirm() {
      this.$emit("confirm");
    },
  },
};
</script>

<style lang="scss" scoped >
.DelBox {
  position: fixed;
  box-sizing: border-box;
  padding: 20px;
  width: 208px;
  height: 104px;
  top: 42%;
  left: 50%;
  border-radius: 3px;
  background: #ffffff;
  box-shadow: 0px 3px 14px 2px rgba(0, 0, 0, 0.05),
    0px 8px 10px 1px rgba(0, 0, 0, 0.06), 0px 5px 5px -3px rgba(0, 0, 0, 0.1);
  z-index: 1;

  .title {
    margin-bottom: 20px;
    vertical-align: middle;
    font-size: 14px;
    font-weight: 700;

    .el-icon-warning {
      font-size: 18px;
      color: rgb(255, 75, 51);
    }
  }

  .buttonArea {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    line-height: 24px;
    font-size: 12px;
    text-align: center;

    .cancel {
      margin-right: 10px;
      width: 40px;
      height: 24px;
      border: 1px solid #0064ff;
      border-radius: 3px;
      color: #0064ff;
      cursor: pointer;
    }

    .confirm {
      width: 64px;
      height: 24px;
      color: #fff;
      background: #0064ff;
      border-radius: 3px;
      border: 1px solid #0064ff;
      cursor: pointer;
    }
  }
}
</style>